Name:           czmq
Version:        4.2.0
Release:        1%{?dist}
Summary:        High-level C binding for 0MQ (ZeroMQ)

License:        MPLv2.0
URL:            http://czmq.zeromq.org
Source0:        https://github.com/zeromq/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libuuid-devel
BuildRequires:  zeromq-devel
# --with-docs
BuildRequires:  perl-interpreter
BuildRequires:  asciidoc
BuildRequires:  xmlto

%description
CZMQ has the following goals:
  i) To wrap the ØMQ core API in semantics that are natural and lead to
     shorter, more readable applications.
 ii) To hide the differences between versions of ØMQ.
iii) To provide a space for development of more sophisticated API semantics.


%package devel
Summary:        Development files for the czmq package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains files needed to develop applications using czmq.


%prep
%autosetup -p1


%build
%configure \
    --with-docs
%make_build


%install
%make_install

rm -f %{buildroot}%{_libdir}/libczmq.{a,la}


%check
make check


%ldconfig_scriptlets


%files
%doc AUTHORS NEWS LICENSE
%{_libdir}/*.so.4*

%files devel
%doc CONTRIBUTING.md README.md
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*
%{_datarootdir}/zproject/


%changelog
* Sun Oct 27 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 4.2.0-1
- Initial build for EPEL 8
